Bug 60766 - no sendmail 8.12 in Rawhide?
no sendmail 8.12 in Rawhide?
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: sendmail (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-06 01:26 EST by James Ralston
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-07 11:07:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Ralston 2002-03-06 01:26:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

I was surprised to see that the version of sendmail in Rawhide is still 8.11.6,
instead of 8.12.2.

I was really hoping that the next version of Red Hat would ship with sendmail
8.12, as I'd like to move to that version of sendmail, and I try to avoid
rolling my own RPMs unless I absolutely have to.  But the next version of Red
Hat won't ship with sendmail 8.12 unless it gets tested as part of Rawhide.

Is there a particular reason (e.g., security concern, stability concern) you
haven't moved to sendmail 8.12 in Rawhide?  Or have you just not gotten around
to it yet?
Comment 1 Sammy 2002-03-07 11:07:15 EST
Moving to 8.12.2 is not a straightforward change because there are many changes
relating to gid/sid stuff and the new submit.cf among others....after saying that I
spent half a day and built the rpms..you have to read all the readme's and notes
carefully, create new users etc. So, unless you know what you are doing I do not
recommend it. Mine is working for many months now without a problem. However,
I do not do very fancy things with sendmail rules and all that so it may be more
problematic for RedHat folks. FYI
Comment 2 Florian La Roche 2002-03-09 08:28:45 EST
rawhide is a bit broken right now. sendmail-8.12.2 will be in the
next release.

Thanks,

Florian La Roche
Comment 3 James Ralston 2002-03-10 19:22:48 EST
<umar@compsci.cas.vanderbilt.edu>: I don't expect that moving to 8.12 will be a
straightforward change, actually.  But still, since moving to 8.12 is the next
logical step, I would expect that it would appear in rawhide first.

Florian: do you mean that sendmail 8.12 will be in the next release of rawhide
(inasmuch as rawhide has releases), or in the next release of Red Hat (7.3 or
8.0, whichever)?
Comment 4 James Ralston 2002-03-15 02:55:06 EST
Well, I see that sendmail 8.12.2 is in Rawhide now, so that answers one part of
my question.  Provided I can splat it onto a 7.2 system without major pain, I'll
go bang on it...

Note You need to log in before you can comment on or make changes to this bug.